Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Interface IUserLayout

All Known Subinterfaces:
  IAggregatedLayout, ILayoutFragment

All Known Implementing Classes:
  AggregatedLayout, ALFragment, SimpleLayout

    public interface IUserLayout

An interface representing the user layout.

Version:
  $Revision: 1.6 $
Author:
  Michael Ivanov

Field Summary
`static java.lang.String` | `ROOT_NODE_NAME` The name to use for the root node of the layout.

Method Summary
`boolean` | `addLayoutEventListener(LayoutEventListener l)` Register a layout event listener
`java.lang.String` | `getCacheKey()` Return a cache key, uniqly corresponding to the composition and the structure of the user layout.
`java.util.Enumeration` | `getChildIds(java.lang.String nodeId)` Returns a list of child node Ids for a given node.
`java.lang.String` | `getId()` Returns a layout Id associated with this manager/
`java.lang.String` | `getNextSiblingId(java.lang.String nodeId)` Determine an Id of a next sibling node.
`IUserLayoutNodeDescription` | `getNodeDescription(java.lang.String nodeId)` Obtain a description of a node (channel or a folder) in a given user layout.
`java.lang.String` | `getNodeId(java.lang.String fname)` Returns a node id associated with the supplied functional name.
`java.util.Enumeration` | `getNodeIds()` Returns a list of node Ids in the layout.
`java.lang.String` | `getParentId(java.lang.String nodeId)` Returns an Id of a parent user layout node.
`java.lang.String` | `getPreviousSiblingId(java.lang.String nodeId)` Determine an Id of a previous sibling node.
`java.lang.String` | `getRootId()` Returns an id of the root node.
`boolean` | `removeLayoutEventListener(LayoutEventListener l)` Remove a registered layout event listener.
`void` | `writeTo(org.xml.sax.ContentHandler ch)` Writes user layout content (with appropriate markings) into a `ContentHandler`
`void` | `writeTo(org.w3c.dom.Document document)` Writes user layout content (with appropriate markings) into a `Document` object
`void` | `writeTo(java.lang.String nodeId, org.xml.sax.ContentHandler ch)` Writes subtree of a user layout (with appropriate markings) defined by a particular node into a `ContentHandler`
`void` | `writeTo(java.lang.String nodeId, org.w3c.dom.Document document)` Writes subtree of a user layout (with appropriate markings) defined by a particular node into a `Document`

Field Detail

### ROOT_NODE_NAME

    static final java.lang.String ROOT_NODE_NAME

  The name to use for the root node of the layout. This should be used with regard to rendering position within the layout tree.

  See Also:
    Constant Field Values

Method Detail

### writeTo

    void writeTo(org.xml.sax.ContentHandler ch)
                 throws PortalException

  Writes user layout content (with appropriate markings) into a `ContentHandler`

  Parameters:
    `ch` - a `ContentHandler` value
  Throws:
    `PortalException` - if an error occurs

### writeTo

    void writeTo(java.lang.String nodeId,
                 org.xml.sax.ContentHandler ch)
                 throws PortalException

  Writes subtree of a user layout (with appropriate markings) defined by a particular node into a `ContentHandler`

  Parameters:
    `nodeId` - a `String` a node determining a user layout subtree.
    `ch` - a `ContentHandler` value
  Throws:
    `PortalException` - if an error occurs

### writeTo

    void writeTo(org.w3c.dom.Document document)
                 throws PortalException

  Writes user layout content (with appropriate markings) into a `Document` object

  Parameters:
    `document` - a `Document` value
  Throws:
    `PortalException` - if an error occurs

### writeTo

    void writeTo(java.lang.String nodeId,
                 org.w3c.dom.Document document)
                 throws PortalException

  Writes subtree of a user layout (with appropriate markings) defined by a particular node into a `Document`

  Parameters:
    `nodeId` - a `String` a node determining a user layout subtree.
    `document` - a `Document` object
  Throws:
    `PortalException` - if an error occurs

### getNodeDescription

    IUserLayoutNodeDescription getNodeDescription(java.lang.String nodeId)
                                                  throws PortalException

  Obtain a description of a node (channel or a folder) in a given user layout.

  Parameters:
    `nodeId` - a `String` channel subscribe id or folder id.
  Returns:
    an `UserLayoutNodeDescription` value
  Throws:
    `PortalException` - if an error occurs

### getParentId

    java.lang.String getParentId(java.lang.String nodeId)
                                 throws PortalException

  Returns an Id of a parent user layout node. The user layout root node always has ID="root"

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `String` value
  Throws:
    `PortalException` - if an error occurs

### getChildIds

    java.util.Enumeration getChildIds(java.lang.String nodeId)
                                      throws PortalException

  Returns a list of child node Ids for a given node.

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `Enumeration` of `String` child node Ids.
  Throws:
    `PortalException` - if an error occurs

### getNextSiblingId

    java.lang.String getNextSiblingId(java.lang.String nodeId)
                                      throws PortalException

  Determine an Id of a next sibling node.

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `String` Id value of a next sibling node, or `null` if this is the last sibling.
  Throws:
    `PortalException` - if an error occurs

### getPreviousSiblingId

    java.lang.String getPreviousSiblingId(java.lang.String nodeId)
                                          throws PortalException

  Determine an Id of a previous sibling node.

  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `String` Id value of a previous sibling node, or `null` if this is the first sibling.
  Throws:
    `PortalException` - if an error occurs

### getCacheKey

    java.lang.String getCacheKey()
                                 throws PortalException

  Return a cache key, uniqly corresponding to the composition and the structure of the user layout.

  Returns:
    a `String` value
  Throws:
    `PortalException` - if an error occurs

### addLayoutEventListener

    boolean addLayoutEventListener(LayoutEventListener l)

  Register a layout event listener

  Parameters:
    `l` - a `LayoutEventListener` object
  Returns:
    a `boolean` success status

### removeLayoutEventListener

    boolean removeLayoutEventListener(LayoutEventListener l)

  Remove a registered layout event listener.

  Parameters:
    `l` - a `LayoutEventListener` object
  Returns:
    a `boolean` success status

### getId

    java.lang.String getId()

  Returns a layout Id associated with this manager/

  Returns:
    an `String` layout Id value;

### getNodeId

    java.lang.String getNodeId(java.lang.String fname)
                               throws PortalException

  Returns a node id associated with the supplied functional name.

  Parameters:
    `fname` - the functional name to lookup
  Returns:
    a `String` subscription id
  Throws:
    `PortalException` - if an error occurs

### getNodeIds

    java.util.Enumeration getNodeIds()
                                     throws PortalException

  Returns a list of node Ids in the layout.

  Returns:
    a `Enumeration` of node Ids
  Throws:
    `PortalException` - if an error occurs

### getRootId

    java.lang.String getRootId()

  Returns an id of the root node.

  Returns:
    a `String` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD